Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractMapMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData
                  org.jboss.beans.metadata.plugins.AbstractMapMetaData

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, Map, MetaDataVisitorNode, ValueMetaData

public class AbstractMapMetaData
extends AbstractTypeMetaData
implements Map

Map metadata.

Version:
  $Revision: 1.10 $
Author:
  Adrian Brock

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`protected String` | `keyType` The key type
`protected String` | `valueType` The value type

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`configurator, type`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractMapMetaData()` Create a new map value

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`Object` | `get(Object key)`
`Iterator` | `getChildren()` Return the child nodes
`protected Object` | `getDefaultMapInstance()` Create the default map instance
`protected org.jboss.reflect.spi.ClassInfo` | `getKeyClassInfo(ClassLoader cl)` Get the class info for the key type
`String` | `getKeyType()` Get the key type
`protected Object` | `getMapInstance(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl, Class expected)` Create the map instance
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.
`protected org.jboss.reflect.spi.ClassInfo` | `getValueClassInfo(ClassLoader cl)` Get the class info for the value type
`String` | `getValueType()` Get the value type
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`void` | `setKeyType(String keyType)` Set the key type
`void` | `setValueType(String valueType)` Set the value type
`int` | `size()`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`Collection` | `values()`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`getClassInfo, getType, setConfigurator, setType, visit`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getUnderlyingValue, getValue, setValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### keyType

    protected String keyType

  The key type

### valueType

    protected String valueType

  The value type

Constructor Detail

### AbstractMapMetaData

    public AbstractMapMetaData()

  Create a new map value

Method Detail

### getKeyType

    public String getKeyType()

  Get the key type

  Returns:
    the key type

### setKeyType

    public void setKeyType(String keyType)

  Set the key type

  Parameters:
    `keyType` - the key type

### getValueType

    public String getValueType()

  Get the value type

  Returns:
    the value type

### setValueType

    public void setValueType(String valueType)

  Set the value type

  Parameters:
    `valueType` - the value type

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Description copied from interface: `ValueMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ValueMetaData`
  Overrides:
    `getValue` in class `AbstractValueMetaData`
  Throws:
    `Throwable`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map t)

  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractValueMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractTypeMetaData`

### getDefaultMapInstance

    protected Object getDefaultMapInstance()
                                    throws Throwable

  Create the default map instance

  Returns:
    the class instance
  Throws:
    `Throwable` - for any error

### getMapInstance

    protected Object getMapInstance(org.jboss.reflect.spi.TypeInfo info,
                                    ClassLoader cl,
                                    Class expected)
                             throws Throwable

  Create the map instance

  Parameters:
    `info` - the request type
    `cl` - the classloader
    `expected` - the expected class
  Returns:
    the class instance
  Throws:
    `Throwable` - for any error

### getKeyClassInfo

    protected org.jboss.reflect.spi.ClassInfo getKeyClassInfo(ClassLoader cl)
                                                       throws Throwable

  Get the class info for the key type

  Parameters:
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

### getValueClassInfo

    protected org.jboss.reflect.spi.ClassInfo getValueClassInfo(ClassLoader cl)
                                                         throws Throwable

  Get the class info for the value type

  Parameters:
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.